Overview

Little Registry Cleaner >
Overview

Little Registry Cleaner is an open source program designed for Microsoft's Windows Registry. Its purpose is to remove obsolete or unwanted items that build up in the registry over time in order to improve the stability and performance of your computer. These items may include un-needed or inaccurate entries left behind by incomplete uninstall routines (known as "Software Rot"), application program errors, and even misapplied registry hacks. Problems also come up when users transfer or delete files without realizing that dozens of Registry entries aim to the old location.

  • Faster System Speed
  • Free and Open Source
  • Quick Registry Backup and Restore
  • Startup and Uninstall Manager
  • Schedule Automatic Registry Scans
  • ... and much more!

The Windows Registry can make a system slower, less reliable, and in some cases, can only be fixed by reinstalling the operating system - that is why you need Little Registry Cleaner.

What can Little Registry Cleaner do?

  • Little Registry Cleaner will remove unwanted or obsolete items from the registry to make your computer run faster!
  • Little Registry Cleaner's powerful functions will help improve system performance to the maximum!
  • Little Registry Cleaner will manage Windows startup programs and their settings to speed up Windows startup
  • Little Registry Cleaner will provide you with the option to restore the registry to recover from missing data
  • Little Registry Cleaner will update frequently to make sure your computer is running smoothly

Little Apps are licensed under the GNU General Public License.


Scan and Clean Your Registry

Little Registry Cleaner > Using Little Registry Cleaner >
Scan and Clean Your Registry

To begin scanning your computer for registry errors click on Scan registry from the toolstrip or from menu bar: File menu -> Scan registry

Little Registry Cleaner will begin scanning the selected sections for errors and display the following:

When scanning is completed the errors will be displayed as shown:

To view more details about a problem then double click on a problem and the following will be shown:

Select the errors you want to fix and click the Fix problems button on the toolstrip.

You will be asked to fix the selected problems, click Yes .

If the following message was displayed, the registry should now be fixed!


Restore Your Registry

Little Registry Cleaner > Using Little Registry Cleaner >
Restore Your Registry

The registry is backed up before problems are removed from your system so you can restore the registry items to a previous state

Select Restore registry from the toolstrip or from the menu bar: File menu -> Restore registry. The following window will be displayed:

Previously backed up registry items will be shown in the list. Select the file from the list and click Restore. You can also use Microsoft`s Internet Explorer to browse the contents of the XML files using "Open Directory..."

You will be asked to continue, Click Yes

Once the restoration is completed, the following message box will appear:


Schedule Registry Scans

Little Registry Cleaner > Using Little Registry Cleaner >
Schedule Registry Scans

To schedule automatic registry scans click on Options from the toolstrip or from menu bar: Tools menu -> Options, and then open the Scheduler tab.

The first step is to select if you want the scan to be performed either Daily, Weekly, or Monthly. If you do not want to schedule a registry scan, select Never.

Once you have selected when you want the scan to be performed you can choose exactly when it will start.


Startup Manager

Little Registry Cleaner > Using Little Registry Cleaner >
Startup Manager

To manage the items that start with your computer click on Tools -> Startup Manager from the menu bar

Little Startup Manager will now display a list that shows where the startup items are located


Add New Entry

Little Registry Cleaner > Using Little Registry Cleaner > Startup Manager >
Add New Entry

To add a new startup entry to the list, click Add from the toolstrip menu

The following dialog should appear...

Section: The section specifies where the entry will be place
Name: The name of the entry
File Path: The path of the filename that will be started with windows
Arguments: Arguments can be specified to run with the filename

Example:

The startup manager should appear like the following:


Edit Existing Entry

Little Registry Cleaner > Using Little Registry Cleaner > Startup Manager >
Edit Existing Entry

To edit an existing entry, select an existing entry and click Edit from the toolstrip menu

The following dialog should appear...

Note: You can only change the file path and arguments


Delete Entry

Little Registry Cleaner > Using Little Registry Cleaner > Startup Manager >
Delete Entry

To delete a entry, select an entry and click Delete from the toolstrip menu

The following dialog should appear...

Click Yes when prompted to remove this startup program. Then you should recieve the following message...


View Entry

Little Registry Cleaner > Using Little Registry Cleaner > Startup Manager >
View Entry

To view an entry from its current startup location, first select the item then click View Item from the toolstrip menu

If the item is a registry entry, the windows registry editor will pop up and the item will be shown, or if the item is located in a startup folder then windows explorer will open.


Run Program

Little Registry Cleaner > Using Little Registry Cleaner > Startup Manager >
Run Program

To run a startup item, select the entry and then click Run from the toolstrip menu

You will be asked if you want to run this program

Click Yes and then a message will say that the program was started

Note: If the program did not run, this may happen because some startup programs are meant to only run in the background or it may already be open


Uninstall Manager

Little Registry Cleaner > Using Little Registry Cleaner >
Uninstall Manager

To manage the items that are installed on your computer click on Tools -> Uninstall Manager from the menu bar

Little Uninstall Manager will now display a list that shows the currently installed programs

Note: The green check marks represent programs that can be uninstalled and the red X means there was an error locating the uninstall program


Search

Little Registry Cleaner > Using Little Registry Cleaner > Uninstall Manager >
Search

If you are unable to locate a program, try typing the program name into the search box


Uninstall Program

Little Registry Cleaner > Using Little Registry Cleaner > Uninstall Manager >
Uninstall Program

To uninstall a program using the manager, simply select the program and then click the Uninstall button

You will then be asked to uninstall the program, click Yes to continue


Remove Entry

Little Registry Cleaner > Using Little Registry Cleaner > Uninstall Manager >
Remove Entry

To remove a program that cant be removed properly, simply select the program and then click Remove Entry

Note: The files will still be located on the hard drive even after the entry is removed


System Requirements

Little Registry Cleaner > Install And Uninstall >
System Requirements

Operating System | Processor | RAM
Windows 2000 | 233 Mhz | 128 MB or higher
Windows XP (x86 or x64) | 300 Mhz | 128 MB or higher
Windows Vista Capable (x86 or x64) | 800 Mhz | 512 MB or higher
Windows 7 (x86 or x64) | 1 Ghz | 1 GB or higher
Windows 8 (x86 or x64) | 1 Ghz | 1 GB or higher

Hard Drive Space
10MB for program files plus additional space for the backup files

Software
Microsoft .NET Framework 3.5 (http://msdn.microsoft.com/en-us/netframework/default.aspx)

Other
Full administrative rights are required to use this program


Downloading

Little Registry Cleaner > Install And Uninstall >
Downloading

Download the latest version

Download from SourceForge.NET or LaunchPad.NET:

Just click the link above to download the most recent version. For all other downloads please use this link:

http://getlittleapps.com/little-registry-cleaner/
https://sourceforge.net/projects/littlecleaner/files/
https://launchpad.net/lilregcleaner/+download

Get it from the Bazaar VCS:

You can get the latest developer version from the Bazaar Version Control System. This version is not recommended, but it does contain new features. You will need the Bazaar VCS to download the developer version.

You can get a copy of the branch using the command:
$ bzr branch lp:lilregcleaner

You can also browse the source code here:
http://bazaar.launchpad.net/~lrc-team/lilregcleaner/devel


Compiling and Installing

Little Registry Cleaner > Install And Uninstall >
Compiling and Installing

Compiling

In order to compile Little Registry Cleaner, you will need a compiler capable of compiling C# v3.0. The code has been successfully built using Visual Studio 2008/2010/2012.

Installation

Little Registry Cleaner can easily be installed to your computer system. First make sure the computer meets the the entire system requirements.

  • Follow the instructions in Downloading to obtain a copy of Little Registry Cleaner
  • Double click the Setup.exe and run the installation
  • Follow the on-screen instructions
  • Once installation is finished, go to the start menu to begin Little Registry Cleaner


Uninstall Little Registry Cleaner

Little Registry Cleaner > Install And Uninstall >
Uninstall Little Registry Cleaner

Note: Before you begin to uninstall the program, make sure that the program is not running!

From the Control Panel

  • Open Start Menu -> Control Panel and then double click Add/Remove Programs
  • Select Little Registry Cleaner and click Remove
  • A window will open asking you to remove the program. Click the Uninstall button

From the Start Menu

  • Click the Start button
  • Click All Programs -> Little Registry Cleaner -> Uninstall
  • A window will open asking you to remove the program. Click the Uninstall button


0.1

Little Registry Cleaner > Release Notes >
0.1

Release Notes for version 0.1:

  • Released first version of Little Registry Cleaner

Changes for version 0.1:

  • Dialogs are opened with main dialog as owner
  • Added Drivers Section
  • Opens seperate dialog for scanning
  • Prompts user to exit
  • Scan dialog should completely load before scanning
  • Now scans for missing ActiveX files
  • Now uses SHGetSpecialFolderPath() API to get path to fonts folder
  • No longer uses AddInvalidSubKey()
  • Fixed the way registry data is stored
  • Added toolbar with scan, fix and settings options
  • Removed data column from listview
  • Uses listview to store invalid registry keys and backs up checked keys with XML Registry
  • Scans again once fix is clicked
  • Added restore dialog and xml parser for treeview
  • Error dialog to catch exceptions thrown by threads
  • Most errors now are shown in error dialog
  • Fixes all registry keys when there is an error
  • Display error dialog only in debug mode
  • Added notify icon to system tray
  • Shows balloon tip when scanning is finished
  • Added logger class to log actions to files
  • Restore dialog now has listview that shows when file was created, also added option to delete file
  • Main dialog can now be resized
  • Changed layout of Options and Main dialog
  • Program can now be started minimized
  • Integrated new options into program
  • The fix toolstrip menu item is now disabled after it is clicked
  • Now uses the treeview to get the number of sections to scan
  • Added restore icon to toolstrip menu
  • Replaced Delete button with Open Directory in Restore dialog
  • Restore dialog can now be resized
  • Restore dialog now shows the size of the files
  • Added ability to scan help files and windows sounds
  • Changed about dialog layout
  • Creates restore point (XP only)
  • Created seperate section for application paths, now scans display icons in add/remove programs
  • Added problem attribute to xml files
  • Main dialog now resizes properly
  • Removed option to autostart LRC when windows starts up


0.2

0.2

Release Notes for version 0.2:

  • User can change the log directory
  • The log directory can now be changed
  • The backup and log directories are automatically located in the common program files directory
  • Added shortcut keys to the menu strip
  • The website and change log can be viewed from the menu
  • Added link to my email in about dialog
  • Fixed some other bugs

Changes for version 0.2:

  • Now checks for null registry keys and sub keys in sound section and also fixed the store function value name
  • Fixed bug in ExtractRunPath() that caused "Index was outside the bounds of the array."
  • No longer removes whole subkey if InprocServer32 is invalid, created function to parse InprocServer32 files
  • Rewrote functions in COM.cs to use RegistryKey class
  • Added author link to about dialog, added event to process links in text box
  • Created context menu for result listview, added ability to add keys to exclude list
  • The result listview now resizes the columns to fit the data
  • Fixed error in appinfo.cs, also recoded VerifyUninstallList()
  • Added shortcut keys to menustrip + added website and changelog buttons to help menustrip
  • Added build time to error dialog + about dialog + log files
  • Changed the backup and log directory to the common program files directory
  • User can now change the log directory


0.3

0.3

Release Notes for version 0.3:

  • Updated all the startup registry keys
  • Now shows number of items that have been scanned
  • Scanners are now run on seperate threads for faster scanning
  • Scanning is now stopped using the control box instead of the stop button
  • Added update function
  • Now scans for obsolete software keys
  • Added appropriate icons to toolstrip and menu strip
  • Added and fixed various other things

Changes for version 0.3:

  • Recoded CheckAutoRun() in StartUp.cs
  • Now scans HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run + other startup keys
  • Now displays the number of items scanned
  • Removed the "stop" button and added the control box to the scan dialog, also added title
  • Scanners now use threads instead of calling them directly
  • Check for update function
  • Application settings function (scans for registry keys with no data)
  • Added event when form closes to ask to continue instead of when action is taken
  • Added context menu to notify icon
  • deleteAsXml() function now deletes sub keys and values
  • No longer deletes whole subkey when an invalid CLSID is found
  • Update function now checks a file to see if it is the latest version
  • Cleaned up ExtractRunPath() and added check for empty strings
  • Added icons to menu strip and text to toolstrip
  • Scanning starts after scan dialog is shown


0.4

0.4

Release Notes for version 0.4:

  • Added more sections to scan for in ActiveX/COM Object scanner
  • Added windows drivers scanner
  • Scanner can now be aborted
  • Added option to go to registry key in regedit
  • Uses Invoke() to redirect calls to the GUI thread
  • Fixed various other minor bugs

Changes for version 0.4:

  • Added retry button to check for update function when its unable to connect
  • Scanner now uses Invoke when calls are made from other threads
  • The scanner can now be aborted
  • Uses HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Applets\Regedit\LastKey to view a registry key in regedit
  • Now uses a new exception handler dialog that uses the WebClient to send bug reports
  • Update function uses a dialog and downloads xml file to get the changelog and download url
  • Displays messagebox before removing subkey from ignore list
  • Doesn't scan "SOFTWARE\Classes" subkey in app settings
  • Clears old results before starting a new scan
  • Checks for minor version of OS when creating restore point
  • Scans SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\Drivers32 instead of SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\Drivers
  • Scans DefaultIcon, AppID, InprocServer, File Extensions, and Browser Helper Objects


0.5

0.5

Release Notes for version 0.5:

  • Also displays inner exception properties in crash reporter
  • Shows target site function name in crash reporter
  • Checks if DefaultIcon is null before checking the path in Active/COM scanner
  • Unhandled exceptions on child threads will be handled with the crash reporter
  • Uses toolstrip container in main dialog so it can be resized
  • Updated website URL in about dialog
  • Displays the current version in about dialog

Changes for version 0.5:

  • Added better handling for inner exceptions, also shows target site function name
  • Checks if DefaultIcon is null before checking the path in Active/COM scanner
  • Exceptions can now be handled on calling threads
  • Uses Toolstrip container in main dialog
  • Updated website URLs so they go to new one
  • Displays current version in about dialog


0.6

0.6

Release Notes for version 0.6:

  • Removed Grip Style from main tool strip
  • Checks if registry key exists before adding new exclude entry
  • Uses just XmlTextReader to check for updates
  • Removed ADDED and FIXED from Change Log
  • Fixed bug in main Tree View
  • Tries to catch security exception when opening registry keys
  • Fixed bug when listing exceptions in crash reporter
  • Lists Dictionary Entries from exceptions in crash reporter
  • Fixed regular expressions in startup scanner

Changes for version 0.6:

  • Removed Grip Style from toolstrip
  • Checks if registry key exists before adding new exclude entry
  • Removed Eventargs classes
  • No longer uses the WebClient to get the update.xml
  • Removed ADDED and FIXED from Change Log
  • Treeview is registered to Node Mouse Click event
  • Tries to catch SecurityException when opening registry keys
  • Fixed bug when listing exceptions in ErrorDlg.cs
  • Lists Dictionary Entries from Exception Data in ErrorDlg.cs
  • Fixed regular expressions in Startup.cs


0.7

0.7

Release Notes for version 0.7:

  • Checks for update when program starts
  • Fixed bug when delete subkey trees
  • Added recent document scanner
  • Added HKEY_CLASSES_ROOT and HKEY_CURRENT_USER to registry keys to scan in ActiveX/COM Objects scanner
  • Checks for system restore service before creating restore points
  • Logger class no longer uses streamwriter variable
  • Fixed various other bugs

Changes for version 0.7:

  • Recoded Logger class
  • Writes exception message to debug listeners when SecurityException is caught
  • Fixed up StartUp.cs
  • Checks if registry key exists before scanning key in ScanBHOReferences()
  • Sees if System Restore service is running before creating restore point (fixed: goes thru service list instead of trying to create a reference)
  • Added finally to try-catch block in StartScanning()
  • Scans HKEY_CLASSES_ROOT + HKEY_CURRENT_USER in COMObjects.cs
  • Deletes subkey tree from base key instead of deleting it from the parent subkey
  • Added help menu items that redirect to launchpad project
  • Added History List scanner to scan "Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\RecentDocs"
  • Tries to catch ObjectDisposedException when storing registry keys
  • Stops current thread immediatley when scanning is stopped
  • Checks for update when program starts


0.8

0.8

Release Notes for version 0.8:

  • Uses array to pass bad registry keys instead of just using the ListViewItem class
  • No longer saves what sections to scan when the program exits
  • All scanners must use FileExists or DirExists to check to see if a path exists
  • URLs are launched through LaunchURI to get a web browser so websites are opened properly
  • Fixed various minor bugs

Changes for version 0.8:

  • Fixed FILETIME compile warnings
  • Corrected bad registry paths in AppInfo.cs
  • Uses array to pass bad registry keys instead of just using the ListView
  • No longer uses Program settings for sections to scan
  • Log file path can be accessed statically
  • FileExists and DirExists are used instead of Directory.Exists() and File.Exists()
  • Moved IconExists() and SearchFilePath() to Misc.cs
  • Cleaned up scanners
  • StartScanning() is now a ThreadPool
  • ScanDlg is now longer passed to Scanners as a parameter, it is a static variable
  • UpdateScanSubKey() is a static function
  • Registry objects are casted properly
  • Created LaunchURI function to check for default web browser (fixed: checks for null strings)
  • Made a minor fix to CreateRestorePoint()
  • Added more checks to ScanBHOReferences(), renamed it to ScanExplorer()


1.0

1.0

Release Notes for version 1.0:

  • Restore points can be created on Windows ME, XP, and Vista
  • Creates restore points before fixing registry problems instead of before scanning and also creates restore point before restoring
  • Displays number of problems found in scan dialog
  • Added startup manager that lists current programs that are launched at startup
  • Added uninstall managaer that lists installed programs
  • Added registry optimizer to compress the registry hives
  • Uses Windows API's to go to exact value name in regedit instead of just setting LastKey
  • Updated Crash Reporter, no longer sends name and email, also can restart program
  • Added other new features and fixed some minor bugs

Changes for version 1.0:

  • Restore points can be created on Windows ME, XP, and Vista
  • Creates restore points before fixing registry problems instead of before scanning and also creates restore point before restoring
  • Uses function instead of try-catch to find invalid path characters
  • Added Icons to TreeView Sections
  • Added registry optimizer
  • Asks user to exit program no matter what close reason is and shows dialog if it is minimized
  • Displays number of problems found in scan dialog
  • No longer uses ExtractRunPath() to get file arguments thanks to discovery of PathGetArgs() and PathRemoveArgs() :D
  • Added startup manager that lists current programs that are launched at startup
  • Added uninstall managaer that lists installed programs
  • Searches App Paths "Path" value name for file and also deletes whole subkey instead of just default value
  • Uses Windows API's to go to exact value name in regedit instead of just setting LastKey
  • Scans Add Remove Programs Cache for old programs
  • Changed contact email to nick@littleapps.co.cc
  • Updated Crash Reporter, no longer sends name and email, also can restart program
  • Fixed bug when optimizer closes
  • Shows total size difference between registry hives in optimizer, also fixed a minor bug
  • Fixed bug causing restore points to not be created


1.1

1.1

Release Notes for version 1.1:

  • No longer collects private information in crash reporter
  • Changed the look of the update dialog
  • Compares build dates when checking for updates
  • Added XP Progress Bar so scan dialog looks nicer
  • Displays message box instead of notify box when form is activated
  • Start up and uninstall manager can no longer be minimized and maximized
  • Buttons in uninstall manager are bigger
  • Scanner classes are now static to make thread calling faster
  • Optimizer is now its own project (Little Registry Optimizer)
  • Checks for srclient.dll before creating restore points
  • Fixed various minor bugs

Changes for version 1.1:

  • Scans HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts for unused file extensions
  • Cleaned up COMObjects.cs
  • No longer collects Machine and username in crash reporter
  • Changed the look of update dialog, also added date to xml file
  • Uses CollectionBase class to store bad registry keys in array
  • Uses shlwapi.dll instead to parse drive type and added check for removable media in Utils.DirExists()
  • Cleaned up Utils.cs
  • Checks if file exists before extracting arguments in startup manager
  • Added check for srclient.dll before creating restore points
  • Scan dialog uses Xp Progress Bar
  • Added TreeListView that performs combines the treeview and listview into one and also added project for controls
  • BadRegistryKey class uses ListViewItem as base class
  • Moved xmlRegistry static functions to Utils class
  • Scanner classes are now static to make thread calling faster
  • Optimizer wont compact registry if difference is more than 90%
  • Hive class implements IDisposable interface
  • Implemented TreeViewAdv into Startup Manager and removed vista message when running a program
  • ExtractFileLocation() is private and integrated into ExtractArguments()
  • Added images to startup manager tree view
  • Fixed bug in uninstall manager that causes not to update listview properly
  • Startup and uninstall manager can no longer be minimized and maximized
  • Buttons are bigger in Uninstall manger and it is not started maximized
  • Displays message box instead of notify box when form is activated
  • Moved Logger class back to seperate file
  • Opens log file after scanning finishes
  • Doesnt show crash reporter when debugging is enabled
  • Optimizer will now be in its own project (Little Registry Optimizer)
  • LaunchURI() checks for default browser HKCR\HTTP\shell\open\command
  • Startup Manager will check if item is leaf before executing operation


1.2

1.2

Release Notes for version 1.2:

  • Now compatible with 64bit versions of windows
  • Added automatic update check
  • Added option to not display log after finished scanning
  • Scans for missing installer folders
  • Fixed other minor bugs

Changes for version 1.2:

  • Removed HKLM from subkey path in RemoveFromRegistry()
  • Removed View Changelog from main menu
  • Checks for updates every 2 weeks
  • Fixed invalid argument when trying to view registry key without value name
  • Crash reporter wont be displayed when debugging
  • Updated assembly info
  • Fixed installer script so it deletes desktop shortcut
  • Checks for missing CLSID references in ProgID's
  • Added sorter for List View in main dialog
  • Scans for missing installer folders (HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\Folders)
  • Makes sure registry key is writable before adding it to array
  • Displays type of exception in crash reporter
  • Log files are copied and displayed only if there were bad registry keys
  • Fixed program crashing when it calls RegEnumValue() in 64 bit
  • Scans needed Wow6432Node subkeys for errors (needs more updating)
  • The logger is more verbose
  • Fixed updater because it wasnt checking the right timespan
  • Added option to disable log being showed after scanning
  • Only checks last time since update when program starts


1.3

1.3

Release Notes for version 1.3:

  • Added advanced treeview to display problems
  • A details control has been added to display more information on a registry key
  • Files and Folders can be added to the ignore list
  • Does not go through obsolete software keys
  • Ignores system restore if srclient.dll cannot be found
  • Fixed "Index was outside the bounds of the array" bug in xmlRegistry.addRegistryValues(Int32 hKey)
  • Fixed some other bugs

Changes for version 1.3:

  • Scan dialog is thread safe
  • Scanners use base class to save coding and work
  • Added details control to display more information
  • Convert value to string function is now a static function
  • Checks if registry key is not null before continuing in AppInfo.cs
  • Checks for MsiExec in UninstallString instead of evaluating WindowsInstaller in AppInfo.cs
  • Changed the log formatting of bad registry keys
  • Displays files and directorys being scanned in scan dialog
  • Resets details control after scanning is finished
  • Fixed null bug in COMObjects.ScanClasses()
  • Catches DllNotFoundException if srclient.dll cant be found when creating system restore points
  • Catches Exception if unable to convert SystemComponent or EstimatedSize when retrieving ARP info
  • Disabled textbox editing in startup manager
  • Uses TreeViewAdv so UI has more nicer graphical design
  • Fixed "Index was outside the bounds of the array" exception in xmlRegistry.addRegistryValues(Int32 hKey)
  • Startup file paths are checked before being added to manager
  • Startup scanner has been fixed (also added 64bit compatiblity)
  • Cross checks start menu registry keys with folders for obsolete keys
  • Did some minor fixes to the ProgramList class
  • Files and folders can be added to the exclude list
  • Doesnt recursively check for obsolete software keys
  • Added checks for files and folders before there added to the problem list
  • Locks stream writer in logger so it cant be opened or written to at the same time
  • Logger uses streamwriter as a base class
  • Crash Reporter no longer saves reports to the hard disk before sending them
  • RegEditGo uses SetForegroundWindow instead of ShowWindow to bring up regedit
  • ActiveX scanner uses ole32.dll to get CLSID from program id and check icons


1.3.1

1.3.1

Release Notes for version 1.3.1:

  • Application info scanner uses program info class to collect data
  • Application Info scanner and uninstall manager use program info to get slow info cache
  • No longer throws an exception when the path is empty
  • Changes to the wait cursor when scanning
  • Fixed null value bug in RegConvertXValueToString()
  • Did some minor fixes to the ActiveX/COM scanner
  • Fixed duplicate program entries in uninstall manager
  • Added portable edition of Little Registry Cleaner

Changes for version 1.3.1:

  • Application info scanner uses program info class to collect data
  • Application Info scanner and uninstall manager use program info to get slow info cache
  • Added more checks for null or empty strings before checking for files/directories
  • No longer throws an exception when the path is null/empty in FileExists and DirExists()
  • Checks for value name + others before being added to bad registry key array
  • Did some minor fixes to the ActiveX/COM scanner
  • Changes to wait cursor when scanning

  • Fixed bug causing duplicates in uninstall manager


1.3.2

1.3.2

Release Notes for version 1.3.2:

  • Fixed bug causing the whole startup subkey to be stored and removed
  • Displays if user is administrator and if process is being debugged in crashreporter
  • Added Try-Catch blocks for System.Security.SecurityException in Fonts, HelpFiles and Sounds
  • Fixed the tab order in the dialogs
  • Build Time uses MM/dd/yyyy format instead of ToShortDateString because of windows 7 new format
  • Changed window settings for restore dialog and startup manager
  • Directory settings are controlled through Settings.cs instead of Program.cs
  • Some other bugs were fixed in this release as well

Changes for version 1.3.2:

  • Calls ShowErrorMessage() instead of throwing an exception everytime in xmlRegistry
  • Fixed bug causing the whole startup subkey to be stored and removed
  • Displays if user is administrator and if process is being debugged in crashreporter
  • Added Try-Catch blocks for System.Security.SecurityException in Fonts, HelpFiles and Sounds
  • Cleaned up nested try-catch blocks in scanners
  • Fixed the tab order in the dialogs
  • Build Time uses MM/dd/yyyy format instead of ToShortDateString because of windows 7 new format
  • Checks for update when dialog is shown instead of loaded
  • Changed window settings for restore dialog and startup manager
  • Directory settings are controlled through Settings.cs instead of Program.cs
  • Build time is returned in Settings.cs instead of Program.cs


1.3.3

1.3.3

Release Notes for version 1.3.3:

  • Fixed the updater so that the build dates can be compared
  • Uses Generic Sans Serif font family for advanced tree view instead of Tahoma
  • Removed label above section list in main dialog and replaced "My Computer" with "Sections to Scan"
  • System restore works with Windows Se7en and beyond
  • Creates restore point if running program for first time
  • No longer waits for log file to close before fixing problems
  • Tries to catch exception if an error is thrown when uninstalling a program or removing a registry key
  • Sets owner of registry key and uses default values instead of existing ones in grantRegistryKeyRights()
  • Some other bugs were fixed aswell

Changes for version 1.3.3:

  • Fixed the updater so that the build dates can be compared
  • No longer sets the last update time in Program.cs
  • Uses Generic Sans Serif font family for advanced tree view instead of Tahoma
  • Removed label above section list in main dialog and replaced "My Computer" with "Sections to Scan"
  • System restore works with Windows Se7en and beyond
  • Creates restore point if running program for first time
  • No longer waits for log file to close before fixing problems
  • Tries to catch exception if an error is thrown when uninstalling a program or removing a registry key
  • Uses ListViewItem.Tag to store programinfo instead of dictionary
  • No longer sets last update date before program exits
  • Sets owner of registry key and uses default values instead of existing ones in grantRegistryKeyRights()


1.3.4

1.3.4

Release Notes for version 1.3.4:

  • Collapses nodes instead of expanding them when finished scanning registry
  • Upgrades settings to newer version if program has been updated
  • Displays icon associated with section in treeview advanced
  • Checks ProgID's for missing icons
  • Checks for access to regedit.exe and adds correct access if its incorrect
  • Tries to catch exception when removing startup entry if file or registry value doesnt exist
  • Checks if user is administrator when program starts up
  • Fixed several other bugs

Changes for version 1.3.4:

  • Collapses nodes instead of expanding them when finished scanning registry
  • Upgrades settings to newer version if program has been updated
  • Displays icon associated with section in treeview advanced
  • Removed expanding icon control from treeview advanced
  • Changed icon for Program Locations in treeview to correct one
  • No longer imports ole32.dll for ActiveX/COM scanner
  • Checks ProgID's for missing icons
  • Checks for access to regedit.exe and adds correct access if its incorrect
  • Fixed icon for software settings
  • Tries to catch exception when removing startup entry if file or registry value doesnt exist
  • Checks if user is administrator when program starts up

  • Uses Version.CompareTo() instead of comparing major and minor version when updating


1.4

1.4

Release Notes for version 1.4:

  • LRC has translations for 17 different languages
  • The backup and logs directory will be in the current directory if the release is portable edition
  • Added power user option that allows the program to automatically repair problems and close the program
  • Automatically changes to currently set system language
  • Upgraded TreeView Advanced to version 1.7
  • Details are shown in a window instead of in the main window
  • Results can be sorted by click the columns

Changes for version 1.4:

  • LRC has translations for 17 different languages
  • Fixed backup directory, it doesnt point to the common program files once options are changed
  • The backup and logs directory will be in the current directory if the release is portable edition
  • Renamed scanner files to more proper names
  • Uses my own code instead of Type.GetTypeFromProgID()
  • Replaced checkboxes with listview in options so different languages can be displayed properly
  • Added power user option that allows the program to automatically repair problems and close the program
  • Country flags are displayed beside each language
  • Automatically changes to current ui culture once the program is started
  • Translated strings that are not controls and are in the code files
  • Fixed error when switching to chinese (traditional or simplified)
  • Upgraded TreeView Advanced to version 1.7
  • Expands all nodes when finished scanning registry
  • Added a sorter tree model so the results can be sorted
  • Details are shown in a window instead of in the main window
  • Added status strip to display welcome and results messages


1.4.1

1.4.1

Release Notes for version 1.4.1 :

  • Restore points are saved to correct location (v1.4.0.1 released)
  • Removed unneeded label in scan dialog
  • Added and updated several translations
  • Uninstall manager is compatible with 64-bit systems
  • Scans HKCU\Software\Microsoft\Windows\ShellNoRoam\MUICache for invalid file references
  • Checks for Common Tools.dll when program starts
  • Creates first system restore when LRC is installed instead of when it first starts

Changes for version 1.4.1:

  • Restore points are saved to correct location (v1.4.0.1 released)
  • Removed unneeded label in scan dialog
  • Updated Russian Translations
  • Updated Dutch Translations
  • Added Hungarian Translations
  • Updated Portuguese Translation
  • Updated Polish Translation
  • Updated Italian Translations
  • Updated Swedish Translations
  • Changes registry key rights when removing values and sub keys
  • Added Turkish Translations
  • Checks for Common Tools.dll when program starts
  • Updated Greek Translations
  • Added Lithuanian Translations
  • Updated Chinese (Simplified & Traditional) Translations
  • Updated Turkish Translations
  • Changed bug report URL
  • Scans HKCU\Software\Microsoft\Windows\ShellNoRoam\MUICache for invalid file references
  • Programs using the Windows Installer can be uninstalled using the uninstall manager
  • Uninstall manager is compatible with 64-bit systems
  • Creates first system restore when LRC is installed instead of when it first starts
  • Updated assembly information


1.4.2

1.4.2

Release Notes for version 1.4.2:

  • Fixed uninstall manager bug with x86 systems (v1.4.1.1 released)
  • Startup manager is compatible with 64-bit system
  • Skips nodes with no children from expanding (Thanks to Dmitriy P.)
  • Fixed bug that prevented LRC from switching languages on non-english systems (Thanks to Dmitriy P.)
  • Reassociated invert selection control with event (Thanks to Dmitriy P.)
  • Added localized Properties/Resources.resx files to project (Thanks to Dmitriy P.)
  • Added Persian Translations
  • Updated Swedish Translations

Changes for version 1.4.2:

  • Fixed uninstall manager bug with x86 systems (v1.4.1.1 released)
  • Startup manager is compatible with 64-bit systems
  • Replaced blank icons with default application icon in startup manager
  • Skips nodes with no children from expanding (Thanks to Dmitriy P.)
  • Fixed bug that prevented LRC from switching languages on non-english systems (Thanks to Dmitriy P.)
  • Reassociated invert selection control with event (Thanks to Dmitriy P.)
  • Added localized Properties/Resources.resx files to project (Thanks to Dmitriy P.)
  • Added Persian Translations
  • Uses a timer instead of invoke to update scanning status
  • Updated Swedish Translations
  • Ignores registry keys that don't have full access


1.5

1.5

Release Notes for version 1.5:

  • Compatible with Windows 7 task bar
  • Upgraded to Microsoft .NET Framework v4
  • Uninstall & Startup Manager are now seperate executables
  • Implemented task scheduler to schedule registry scans
  • Registry scans can be started by specifying "/scan" argument
  • Integrated DeskMetrics into Little Registry Cleaner

Changes for version 1.5 :

  • Now compatible with Microsoft Windows Restart Manager
  • Updated Spanish Translations (Thanks to Fitoschido)
  • Updated German Translations (Thanks to Chris G)
  • Updated French Translations (Thanks to Tulip V)
  • Compatible with Windows 7 task bar
  • Program no longer starts up maximized
  • Fixed recent docs scanner so it displays the correct registry key path
  • No longer displays duplicate problems
  • Upgraded to Microsoft .NET Framework v4
  • Uninstall & Startup Manager are now seperate executables
  • Details window is no longer displayed when a parent node is double clicked
  • Implemented task scheduler to schedule registry scans
  • Registry scans can be started by specifying "/scan" argument
  • Integrated DeskMetrics into Little Registry Cleaner


1.5.1

1.5.1

Release Notes for version 1.5.1:

  • Fixed bug when trying to create scheduled tasks on Windows Task Scheduler 1.0 (Windows 2000, XP and Server 2003)
  • Fixed bug that prevented LRC from closing if DeskMetrics was disabled
  • No longer displays bug report when trying to contact DeskMetrics with no internet connection
  • NsisDeskMetrics plugin no longer requires the Microsoft Visual C++ 2010 Redistributable Package to run
  • Fixed several other bugs

Changes for version 1.5.1 :

  • Fixed bug when trying to create scheduled tasks on Windows Task Scheduler 1.0 (Windows 2000, XP and Server 2003)
  • Fixed bug that prevented LRC from closing if DeskMetrics was disabled
  • No longer displays bug report when trying to contact DeskMetrics with no internet connection
  • NsisDeskMetrics plugin no longer requires the Microsoft Visual C++ 2010 Redistributable Package to run
  • Added check for null string in PrefixRegPath()
  • Manually generates GUID for DeskMetrics if an error occured in System.Guid
  • Fixed spelling mistake that prevented LRC to load on Lithuanian computers
  • No longer displays exception if "cmdLine" passed to ExtractArguments() is null
  • Displays error message instead of exception if file is not found when executed with startup manager


1.6

1.6

Release Notes for version 1.6:

  • Downgraded Microsoft .NET Framework to v3.5
  • Integrate Little Software Stats
  • Added new icons
  • Updated Little Registry Cleaner icon
  • Integrated AutoUpdater.NET
  • Fixed several other bugs

Changes for version 1.6 :

  • Downgraded Microsoft .NET Framework to v3.5
  • Integrate Little Software Stats
  • Added new icons
  • Updated Little Registry Cleaner icon
  • Integrated AutoUpdater.NET
  • Fixed permission problems with removing bad registry keys
  • Update Russian translations (Thanks to Sersell)
  • Updated German Translations (Thanks to Jurg S.)
  • Fixed problem with scheduler not showing correct time for existing job
  • Fixed english translations for Little Startup Manager
  • Buttons are disabled when nothing is selected in Little Uninstall Manager, Little Startup Manager, and Restore
  • Little Registry Cleaner cannot be uninstalled through Little Uninstall Manager if running
  • Fixed problem with horizontal scroll bar not displaying correctly
  • Update website links to active URLs
  • Fixed Little Uninstall Manager from refreshing list when text wasn't changed
  • Uses Process.Start() to launch websites and help file in order to prevent window modal problems
  • Default settings for re-scan automatically, automatically delete backups after, and system restore changed to disabled


License

Little Registry Cleaner >
License

Little Registry Cleaner is free. You do not have to pay to use it. This means it is distributed without any warranty and follows the terms and conditions of the GNU General Public License (GPL).

Little Registry Cleaner maintains a open source code project so that people (like you) have full access to the source code of this program. You can find out how to get the latest and most recent version of the program here .


Credits

Little Registry Cleaner >
Credits

Thanks to the following people for posting these articles:

  • Advanced TreeView for .NET by Andrey Gliznetsov
    • http://www.codeproject.com/KB/tree/treeviewadv.aspx
  • XP Progress Bar by Marcos Meli
    • http://www.codeproject.com/KB/cpp/XpProgressBar.aspx
  • Import/Export registry sections as XML by Sam DenHartog
    • http://www.codeproject.com/KB/XML/registryxml.aspx
  • JumpTo RegEdit by Reto Ravasio
    • http://www.codeproject.com/KB/cs/RegEdit_JumpTo.aspx
  • Task Scheduler Managed Wrapper by David Hall
    • http://taskscheduler.codeplex.com/
  • AutoUpdater.NET by RBSoft
    • http://autoupdaterdotnet.codeplex.com/

Thanks to the following people for their contributions to LRC:

Maintainer

  • Nick H.

Developers

  • Jonathan N. (Beta tester)
  • Erik Y. (Beta tester)
  • Jomy M. (Bugs & Fixes)

Translators

  • Maciej M. - Polish
  • Artur M. - Russian
  • E. Staas - Dutch
  • Sándor L. - Hungarian
  • Alisson C. - Portuguese
  • Radoslaw M - Polish
  • Alexander P. - Swedish
  • Jim B. - Greek
  • Vladislav Z. - Lithuanian and Russian
  • Erkan M. - Turkish
  • Ken O. - Chinese (Simplified & Traditional)
  • Dmitriy P. - Russian (Setup)
  • Saeed D. - Persian
  • Björn N. - Swedish
  • Fitoschido - Spanish
  • Chris G. - German
  • Daniel - German (Fixed minor mistakes)
  • Tulip V. - French

And a Big Thanks to everyone else for supporting this project


Optimize Your Registry

Little Registry Cleaner >
Optimize Your Registry

The registry optimizer makes the size of your registry smaller to enhance your system performance

Click on the Optimizer button on the toolstrip or select it from the menu bar: File menu -> Optimize registry
The following screen will be shown:

Close all running programs and click Yes and Little Registry Cleaner will begin analyzing the registry hives.

After the registry hives have been analyzed the following screen will be displayed:

Click Start Optimization > button to have your registry hives optimized.
If you dont want to optimize your registry or believe there is an error in the list, then click Close

Once the registry has been optimized you will see this message box

Click Yes to restart the computer and enhance your computers speed